import request from '@/utils/request'

// 查询两区及乡镇单位部门招商计划列表
export function listArea(query) {
  return request({
    url: '/dept/area/list',
    method: 'get',
    params: query
  })
}

// 查询两区及乡镇单位部门招商计划详细
export function getArea(id) {
  return request({
    url: '/dept/area/' + id,
    method: 'get'
  })
}

// 新增两区及乡镇单位部门招商计划
export function addArea(data) {
  return request({
    url: '/dept/area',
    method: 'post',
    data: data
  })
}

// 修改两区及乡镇单位部门招商计划
export function updateArea(data) {
  return request({
    url: '/dept/area',
    method: 'put',
    data: data
  })
}

// 删除两区及乡镇单位部门招商计划
export function delArea(id) {
  return request({
    url: '/dept/area/' + id,
    method: 'delete'
  })
}

// 导出两区及乡镇单位部门招商计划
export function exportArea(query) {
  return request({
    url: '/dept/area/export',
    method: 'get',
    params: query
  })
}
